/******************************************************************************
***
***				COPYRIGHT
***
***	Die Daten in dieser Datei sind Eigentum der 
***
***	YARD Software GmbH in 5000 Koeln 90, Deutschland.
***
***	Diese Datei gilt als Werk im Sinne des Urherberrechtsgesetzes und ist
***	damit urheberrechtlich geschuetzt. Jede Verwertung, insbesondere die
***	Vervielfaeltigung, Aenderung und Weitergabe, auch auszugsweise,
***	ist nur mit ausdruecklicher schriftlicher Genehmigung der YARD
***	Software GmbH zulaessig.
***
***	Ebenso ist die Speicherung dieser Datei auf Datentraegern wie z.B.
***	Festplatten, Disketten, Magentbaendern, CDs und aehnlichen, auch 
***	auszugsweise, nur mit ausdruecklicher schriftlicher Genehmigung der 
***	YARD Software GmbH zulaessig.
***
***	Zuwiderhandlungen unterliegen den Strafbestimmungen des Urheberrechts-
***	gesetzes.
***
******************************************************************************/

/*
**	This file contains common YARD specific definitions for the
**	products YARD-CLI (UNIX) and YARD-ODBC (MS-Windows and Windows 95)
*/

#ifndef _CLIBASIC_H_
#define _CLIBASIC_H_

#ifndef TRUE
#define TRUE	1
#endif
#ifndef FALSE
#define FALSE	0
#endif

#ifndef MS_WINDOWS

#ifdef FAR
#undef FAR
#endif

#ifdef NEAR
#undef NEAR
#endif

#ifdef PASCAL
#undef PASCAL
#endif

#ifdef CDECL
#undef CDECL
#endif

#ifdef WINAPI
#undef WINAPI
#endif

#ifdef CALLBACK
#undef CALLBACK
#endif

#ifdef EXPORT
#undef EXPORT
#endif

#define FAR
#define NEAR
#define _export
#define PASCAL
#define CDECL
#define WINAPI
#define CALLBACK
#define EXPORT

typedef int HWND;
#endif

#define CLI	1

#endif _CLIBASIC_H_
